Debian Bug report logs - #595486
clive: Vimeo no longer works

version graph

Package: clive; Maintainer for clive is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for clive is src:clive.

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Sat, 4 Sep 2010 12:33:01 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in versions clive/2.2.12-1, clive/2.2.13-2

Fixed in version clive/2.2.13-3

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/clive/issues/detail?id=61

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#595486; Package clive. (Sat, 04 Sep 2010 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 04 Sep 2010 12:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clive: Vimeo no longer works
Date: Sat, 04 Sep 2010 14:29:22 +0200
Package: clive
Version: 2.2.13-2
Severity: important
Tags: patch

Support for Vimeo download has stopped working.

The following change makes it work properly again:

root@auryn:/usr/share/perl5/clive/Host# diff -ruN Vimeo.pm.orig Vimeo.pm
--- Vimeo.pm.orig2010-04-06 22:03:46.000000000 +0200
+++ Vimeo.pm2010-09-04 14:12:03.799908305 +0200
@@ -32,7 +32,7 @@
 
     $$props->video_host("vimeo");
 
-    my %re = ( id => qr|clip_id=(.*?)"|, );
+    my %re = ( id => qr|clip_id=(.*?)[&"]|, );
 
     my $tmp;
     if ( clive::Util::matchRegExps( \%re, \$tmp, $content ) == 0 ) {


 - Jonas

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=da_DK.UTF-8, LC_CTYPE=da_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages clive depends on:
ii  libclass-singleton-perl       1.4-1      implementation of a "Singleton" cl
ii  libconfig-tiny-perl           2.12-1     Read/Write .ini style files with a
ii  libexpect-perl                1.21-1     Expect.pm - Perl Expect interface
ii  libgetopt-argvfile-perl       1.11-1     Perl module for reading script opt
ii  libhtml-parser-perl           3.66-1     collection of modules that parse H
ii  liburi-perl                   1.54-1     module to manipulate and access UR
ii  libwww-curl-perl              4.12-1     Perl bindings to libcurl
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 

Versions of packages clive recommends:
ii  clive-utils                   2.1.6-1    additional utilities for clive
ii  libberkeleydb-perl            0.42-1     use Berkeley DB 4 databases from P
ii  libterm-readkey-perl          2.30-4     A perl module for simple terminal 

Versions of packages clive suggests:
ii  ffmpeg                        4:0.6-2    multimedia player, server and enco

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/perl5/clive/Host/Vimeo.pm (from clive package)




Bug Marked as found in versions clive/2.2.12-1. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 13:09:06 GMT) Full text and rfc822 format available.

Added tag(s) upstream and confirmed. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 13:09:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/clive/issues/detail?id=61'. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 13:27:04 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Mon, 06 Sep 2010 15:36:04 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Mon, 06 Sep 2010 15:36:04 GMT) Full text and rfc822 format available.

Message #16 received at 595486-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 595486-close@bugs.debian.org
Subject: Bug#595486: fixed in clive 2.2.13-3
Date: Mon, 06 Sep 2010 15:32:07 +0000
Source: clive
Source-Version: 2.2.13-3

We believe that the bug you reported is fixed in the latest version of
clive, which is due to be installed in the Debian FTP archive:

clive_2.2.13-3.debian.tar.gz
  to main/c/clive/clive_2.2.13-3.debian.tar.gz
clive_2.2.13-3.dsc
  to main/c/clive/clive_2.2.13-3.dsc
clive_2.2.13-3_all.deb
  to main/c/clive/clive_2.2.13-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated clive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 04 Sep 2010 22:08:24 +0900
Source: clive
Binary: clive
Architecture: source all
Version: 2.2.13-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 clive      - video extraction utility for YouTube, Google Video and others
Closes: 595486
Changes: 
 clive (2.2.13-3) unstable; urgency=low
 .
   * Handle changed URLs on vimeo.com. (Closes: #595486)
     + new patch: 595486-vimeo.patch
   * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
     systems".
Checksums-Sha1: 
 32a2fc79a0984cfebdfb1f716558853926df45b4 2244 clive_2.2.13-3.dsc
 31e664e2bb7393c3b5ccf8f8a68757af132a094d 7451 clive_2.2.13-3.debian.tar.gz
 bad5480fb612ee57a1488ea0b5bed9bf340ece9b 57206 clive_2.2.13-3_all.deb
Checksums-Sha256: 
 48b53e5d07e54889f70e8d92596d4336235eeba49334294c956682ae27b6a64d 2244 clive_2.2.13-3.dsc
 1dc916b8f3aba5ba534d588b12ed24844ddffde15a8fd5ee0c5425961f83abd6 7451 clive_2.2.13-3.debian.tar.gz
 da3f62fb273cd35f2a969bdf87ae3bb2dac23e951d12d559321609d05fae2b87 57206 clive_2.2.13-3_all.deb
Files: 
 809321797580cd1d2e2ab4359f127cb3 2244 utils optional clive_2.2.13-3.dsc
 13e73f1f31a8fb718dba3ebda15c39db 7451 utils optional clive_2.2.13-3.debian.tar.gz
 fed7331a10c13b58d748d51113942a56 57206 utils optional clive_2.2.13-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMhQWtAAoJELs6aAGGSaoGIlIP/i/JPu1TSA6O1DAlnfH9KOBX
dpnyGbS4I0L4XtuUIsLGfO5pbRvZgjSvD0Gbk+h0i5Cij2g+vZVMIvLSWJH0UvKK
BZJV7A6DVApE3mgenMaGIl5Y8Hh3J5domtUkLmBqz6H6fFX+VWWE9PHXf2mczWl3
UMvcJBvePF9RYGCymf+Yv+J/EKJ8/deXBvXukF/GxDvfADwnZMIxGXfePI6adISb
hwzcTKSSw1etuRc+hIijRo1H3FbSUm+C+60dVz50QwCpCybUBdZHcpcITRE/irz2
ylaNzZM0ymk9AqPXj0T0ZQm6VEml2EsKdS5B83JDvjUGLMkpU0n18X9bAvJ0zj2b
JUKjPmTYzHn0lcCnYutsKOk89HD6xPa2onr+SsSMiTP6neAeB2sxO0OAt/2FVR+x
HXMwfgZ6eoEglXBicAQYNxGy3/CAI9f1SSGrjQYzJFSHbi4qGhVHwCO7p60Bn1Yz
eljlDSBOdUCy9NrAz1v+Iwnmj52QqqLnXA2EUC5nkWVBnshwiJawDC8UMdwp9sLh
oXgF9qjnQZDjcqKB28xl7+YnQh/84VfWZRElwCHvtwU+91Bpm7sfEk3TUDEQQ70e
zdsTpKqmANHK8bnKF2aI0EnQdGYyqrmL5Oivmbs8AgWLUYd/Zo4W650NSFX4Fl1A
RCee/53x7ADQ1CUKT8nL
=/xi5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Nov 2010 07:37:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:00:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.